import { Modal } from "antd";
import { inject, observer } from "mobx-react";
import { useState } from "react";

const WhichVideo = (props) => {
  const { homeStore } = props;
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const [channelList, setChannelList] = useState<Array<any>>([]);
  const openDispatch = async () => {
    setIsModalOpen(true);
    let req = await homeStore.getVideoUrlList();
    let list: Array<any> = [];

    for await (const item of req.EasyDarwin.Body.Devices) {
      let reqs = await homeStore.getChannerUrlList(item.DeviceID);

      if (reqs?.EasyDarwin) {
        list.push(...reqs?.EasyDarwin?.Body.Channels);
      }
    }
    setChannelList(list);
  };
  return (
    <>
      <span onClick={openDispatch}> 视频查看</span>
      <Modal
        title={"视频查看"}
        className="owner_model"
        width={1000}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        footer={null}
        onCancel={() => {
          setIsModalOpen(false);
        }}
      >
        <div style={{ height: "700px", overflowY: "scroll" }}>
          {channelList.map((item, index) => {
            return (
              <div key={index} style={{ cursor: "pointer" }}>
                <p style={{ color: "#fff" }}>{item.Name}</p>
              </div>
            );
          })}
        </div>
      </Modal>
    </>
  );
};

// export default WhichVideo;
export default inject("homeStore")(observer(WhichVideo));
